cancel
Showing results for 
Search instead for 
Did you mean: 
Create Post
Level 8

NCM Connector for Cisco SmartAdvisor - "The request was aborted: Could not create SSL/TLS secure channel."

Hey All,

I'm trying to get the NCM connector for the Cisco Smartnet Total Care Portal to connect and upload our nodes. I'm getting this error though does anyone know what needs to be fixed?

I have already checked to make sure all of the SSL/ TLS options are enabled and that our Firewall is not blocking the traffic.

pastedImage_0.png

Thanks,

Sasha

0 Kudos
17 Replies
Level 12

Hey skreezanx​ this is a known issue and we are working on a fix. I will add you to my list of users to contact once we have a fix released.

I'm experiencing the same issue.  The SmartConnector tool worked a year or more ago, after a lot of trouble figuring out account info and mail addresses.  But it was lovely then!

Today I receive this message when I try to run it:

pastedImage_0.png

I've tried a number of checks, including reviewing settings on the server for TLS 1.0, 1.1, and 1.2.  All seem to be as our Security Team requires.

pastedImage_1.png

Might there be a download on our portal to fix this, as well?  IF so, what is its name, jpetkevich​?

0 Kudos

rschroeder There is a new version available v1.5, that fixes this issue. It should look like this, below the NCM download options:

Screen Shot 2018-11-14 at 10.36.45 AM.png

0 Kudos

Thank you.  I do not see that option to download.  Might it be ​NOT be present as you suggested because I do not have NCM separately installed/licensed?  I have NAM instead.

Or am I missing it in the Customer Portal?   What specific path should I search within the portal to find that NCM SmartAdvisor download when I have NAM licensing instead of separate NCM?

pastedImage_0.png

0 Kudos

rschroeder​ Ah yes you are correct it is not showing there! It is on the to do and should be rectified in the next 24-48 hours.

0 Kudos

jpetkevich​   I didn't get this accomplished before migrating my hardware and SQL database from 2012 to 2016 and upgrading from the old version of NAM to the current version (with NPM 12.3).  Then last Friday I went through an assisted upgrade to NAM RC2.

I no longer see a Cisco Connector available in my Support Portal's page, perhaps due to the upgrade?

What method should I use now, since I don't find a Connector Tool in my main instance's VM applications & programs?

Rick

0 Kudos

rschroeder​ during the install the Cisco SmartAdvisor tool was uninstalled?

I had to go back to the team about the portal being updated. They had some delays, but confirmed its going to be live by tonight.

0 Kudos

I don't know that was uninstalled.  My process never installed it on the new servers--only building new 2016 servers and having them take over the 2012 servers' names and IP addresses, and then pointing them at the migrated database.

However, if the Connector tool is something that would be automatically installed when doing the above "clean install an migration", I did not find it in the newly built servers.

After downloading and installing it today, I'm back to square one where the Connector tool isn't validating my account info with Cisco properly.  Worse, the Search function isn't working, and I'm unable to enter my company's info and search for the exact account info.

(An aside:  I note the feature request to have the Connector Tool cache the switch login credentials.  When trying to get this working the first time, having to manually enter those creds back in after each failure is inconvenient at best.)

0 Kudos

rschroeder​ I have seen this issue recently and I believe it to be something on Cisco's side. Often closing the app and trying again rectifies the issue. As it has been a day did this get up and working?

I can see how having the credentials cached would make life a bit better, I will make a mental note.

0 Kudos

I'm tied up for a while, but I'll get back to you on this.  Thanks for looking into it.

Rick

0 Kudos

jpetkevich​    This was a slightly more complex install.  It included:

  1. Building all new 2016 platforms for the 7 pollers
  2. Building a new 2016 SQL environment
  3. Copying the old SQL Orion database into the 2016 SQL
  4. Parking the licenses and copying them
  5. Shutting down all the old SolarWinds pollers
  6. Moving their names and IP addresses to the new main instance and the other six new VM's running APEs
  7. Running a clean/fresh install of NAM on the Main Instance
  8. Pointing it at the new SQL 2016 database
  9. Licensing everything (copied the license keys earlier recorded and pasting them into the License Manager)
  10. Install the APE's manually from the Main Instance Polling Engine page
  11. Validating functionality of the new pollers AND of the new version of NAM (contains NPM 12.3)
  12. Upgrading the Main Instance to RC2 via an Assisted Upgrade using SW folks from Austin, Poland
  13. Using the new My Orion Deployment to push out the new version of Orion to the pollers
  14. Validating and then recording problems or bugs, and discovering new functionality

I had not installed or run the upgraded Connector tool.  Now that I'm running the new version of NAM, PLUS RC2, I don't see the Connector Tool in the Main Instance's SolarWinds Apps in 2016, nor do I find it in the Support Portal.

Where should I look for it?  Or is it unavailable with my current RC2 deployment?

0 Kudos

rschroeder​ Have you gone to your portal to download the Smart Advisor tool? I checked and see it is showing under the NAM Tools & Plugins section.

0 Kudos

Thank you, jpetkevich​.  I look forward to seeing it available.

0 Kudos

I have the same error please add me to the notification list.

0 Kudos

The new version is available and should be in your customer portal.

0 Kudos

I am getting the same error. Could you add me to the list to be notified when this issue is resolved?

Thank you,

Tom

0 Kudos

Sure thing.

0 Kudos